#pragma once

#include "ofMain.h"
#include "ofxLeapMotion.h"

class ofApp : public ofBaseApp{

	public:
		void setup();
		void update();
		void draw();

		void keyPressed(int key);
		void keyReleased(int key);
		void mouseMoved(int x, int y );
		void mouseDragged(int x, int y, int button);
		void mousePressed(int x, int y, int button);
		void mouseReleased(int x, int y, int button);
		void mouseEntered(int x, int y);
		void mouseExited(int x, int y);
		void windowResized(int w, int h);
		void dragEvent(ofDragInfo dragInfo);
		void gotMessage(ofMessage msg);
		
    ofxLeapMotion leap; // ofxLeapMotionクラスのインスタンス
    ofEasyCam cam; //カメラのインスタンス
    ofLight light; //ライトのインスタンス
    vector <ofVec3f> fingerPos; // 指の位置情報を保持する動的配列
    vector <int> fingerType; // 指の種類情報を保持する動的配列 (0:親指〜4:小指)

    vector <ofVec3f> palmPos; // 手のひらの位置情報を保持する動的配列
    vector <ofVec3f> wristPos; // 手首の位置情報を保持する動的配列
    vector <int> handType; // 手の種類情報を保持する動的配列（0:左手，1:右手）
};
